{
  pkgs,
  lib,
  ...
}: {
  nixpkgs.config = {
    allowUnfree = false;

    permittedInsecurePackages = [
      "electron-25.9.0"
    ];

    allowUnfreePredicate = pkg:
      builtins.elem (lib.getName pkg) [
        "osu-lazer"
        "spotify"
        "linuxsampler"
        "libsciter"
        "obsidian"
        "steam"
        "steam-original"
        "davinci-resolve"
      ];
  };

  home.packages = with pkgs; [
    # Basic utils
    unzip
    magic-wormhole

    # Important graphical applications
    keepassxc
    logseq
    xournalpp
    libreoffice
    onlyoffice-bin

    # For windows applications
    bottles

    # Games
    lutris
    osu-lazer
    r2modman
    prismlauncher

    # Communication
    webcord
    telegram-desktop
    signal-desktop
    element-desktop

    # Creative software
    gimp
    inkscape
    davinci-resolve

    ardour # DAW
    # plugins
    sfizz
    swh_lv2
    zynaddsubfx
    caps
    cmt
    distrho
    surge
    calf
    dexed
    odin2
    ninjas2
    linuxsampler

    yabridge
    yabridgectl

    geonkick # for drums

    # Misc
    gnome-decoder
    tor-browser-bundle-bin
    obsidian

    starc
    scanned-image-extractor

    rustdesk
    wireshark
    mullvad-vpn

    # Entertainment
    spotify
    hypnotix

    # VPN client for university
    (
      pkgs.writeScriptBin "univpn"
      ''
        read -p "Username: " username
        read -s -p "Password: " password

        # newline
        echo ""

        read -p "OTP: " otp

        sudo ${pkgs.gof5}/bin/gof5 --server "vpn.univie.ac.at" --username "$username@$otp" --password "$password"
      ''
    )
  ];
}
